procedure Register_drivers_and_fonts;

procedure Abort(Msg : string);
begin
  Writeln(Msg, ': ', GraphErrorMsg(GraphResult));
  Halt(1);
end;

begin
  { "Registrierung" aller Grafik-Treiber (aus DRIVERS.TPU) }
  if RegisterBGIdriver(@CGADriverProc) < 0 then     Abort('CGA');
  if RegisterBGIdriver(@EGAVGADriverProc) < 0 then  Abort('EGA/VGA');
  if RegisterBGIdriver(@HercDriverProc) < 0 then    Abort('Herc');
  if RegisterBGIdriver(@ATTDriverProc) < 0 then     Abort('AT&T');
  if RegisterBGIdriver(@PC3270DriverProc) < 0 then  Abort('PC 3270');


  { "Registrierung" aller Zeichenstze (aus FONTS.TPU) }
  if RegisterBGIfont(@GothicFontProc) < 0 then      Abort('Gothic');
  if RegisterBGIfont(@SansSerifFontProc) < 0 then   Abort('SansSerif');
  if RegisterBGIfont(@SmallFontProc) < 0 then       Abort('Small');
  if RegisterBGIfont(@TriplexFontProc) < 0 then     Abort('Triplex');

end;